#ifndef KMLF_H
#define KMLF_H
#include <limits.h>
//copy from string.h of cups
#  ifdef HAVE_STRING_H
#    include <string.h>
#  endif /* HAVE_STRING_H */

#  ifdef HAVE_STRINGS_H
#    include <strings.h>
#  endif /* HAVE_STRINGS_H */

#  ifndef HAVE_STRLCPY
extern size_t _cups_strlcpy(char *, const char *, size_t);
#    define strlcpy _cups_strlcpy
#  endif /* !HAVE_STRLCPY */

#  ifndef HAVE_SNPRINTF
extern int	cups_snprintf(char *, size_t, const char *, ...)
#    ifdef __GNUC__
__attribute__ ((__format__ (__printf__, 3, 4)))
#    endif /* __GNUC__ */
;
#    define snprintf cups_snprintf
#  endif /* !HAVE_SNPRINTF */
//copy from string.h of cups

#if 0
typedef unsigned short WORD;
typedef unsigned char BYTE;

#if (UINT_MAX==0xFFFFFFFF)
typedef unsigned int DWORD;
#else
typedef unsigned long DWORD;
#endif
#endif

#pragma pack(1)
typedef struct _HT_HEADER{
	WORD wID;
	WORD cxHT;
	WORD cyHT;
	WORD wFree;
}HTHEADER, *PHTHEADER;
#pragma pack()

#pragma pack(1)
typedef struct _IMAGE_HEADER{
	DWORD InitCM_HT;
	DWORD iColorSpace;
	WORD xResolution;
	WORD NumPlanes;
	void *pHT[4];
}IMAGEHEADER, *PIMAGEHEADER;
#pragma pack()

//Media Type code
#define PLAIN_PAPER		1
#define TRANSPARENCY		2
#define GLOSSY				3
#define THICK_STOCK		256
#define ENVELOPE			257
#define LETTERHEAD		259
#define POSTCARD			262
#define LABELS				263
#define RECYCLED_PAPER	264

//Paper Source Code
#define TRAY_AUTOSELECT	7
#define TRAY_MANUALFEED	2
#define TRAY_1				1
#define TRAY_2				4
#define TRAY_3				101

#endif
